Get a Payment Method by ID
get
/brm/paymentMethods/v4/paymentMethod/{id}
The operation retrieves a payment method by its ID. You can select any of the payment method's top-level attributes.
Request
Path Parameters
-
id(required): string
Specifies the payment method's ID.
Query Parameters
-
fields: string
Specifies the properties to include in the response as a comma-separated list.
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json;charset=utf-8
200 Response
The payment method was retrieved successfully.
Root Schema : schema
Match One Schema
Show Source
-
object
Cash
Specifies a cash payment method with no additional data. You can extend it to include information such as the cashier who accepted the payment or the person who paid.
-
object
Check
Specifies a check payment method.
-
object
BankAccountDebit
Specifies a bank account debit payment method. You can extend it to include any authorization fields that recurring payments require.
-
object
BankCard
Specifies a bank card payment method.
-
object
TokenizedCard
Specifies a tokenized card payment method.
Nested Schema : Cash
Type:
objectSpecifies a cash payment method with no additional data. You can extend it to include information such as the cashier who accepted the payment or the person who paid.
Show Source
-
@baseType: string
Allowed Values:
[ "PaymentMethod" ] -
@type: string
Allowed Values:
[ "cash" ] -
effectiveDate(required): string
(date-time)
Specifies the cash payment's effective date.
-
recieptNo(required): string
Specifies the BRM cash receipt number.
Match All
Specifies a cash payment method with no additional data. You can extend it to include information such as the cashier who accepted the payment or the person who paid.
Show Source
-
object
allOf
PaymentMethod
Specifies the base model for the implemented cash, check, bank account debit, bank card, and tokenized card payment methods.
Nested Schema : Check
Type:
objectSpecifies a check payment method.
Show Source
-
@baseType: string
Allowed Values:
[ "PaymentMethod" ] -
@type: string
Allowed Values:
[ "check" ] -
bank(required): string
Specifies the bank that pays the check.
-
checkId(required): string
Specifies the check's unique ID.
-
drawer(required): string
Specifies the person or entity that writes the check.
-
payee(required): string
Specifies the check's payee.
-
signedDate(required): string
(date-time)
Specifies the check's signing date.
Match All
Specifies a check payment method.
Show Source
-
object
allOf
PaymentMethod
Specifies the base model for the implemented cash, check, bank account debit, bank card, and tokenized card payment methods.
Nested Schema : BankAccountDebit
Type:
objectSpecifies a bank account debit payment method. You can extend it to include any authorization fields that recurring payments require.
Show Source
-
@baseType: string
Allowed Values:
[ "PaymentMethod" ] -
@type: string
Allowed Values:
[ "bankAccountDebit" ] -
accountNumber(required): string
Specifies the bank account's number, which may refer to the IBAN or SWIFT number.
-
accountNumberType(required): string
Specifies the account number's type, such as IBAN or SWIFT.
-
bank(required): string
Specifies the bank's display name.
-
BIC: string
Specifies the financial institution's Business Identifier Code or SWIFT code for the account.
-
city: string
Specifies the city in the BRM address.
-
country: string
Specifies the country in the BRM address.
-
owner: string
Specifies the bank account's owner, which also serves as the account name.
-
postCode: string
Specifies the postal code in the BRM address.
-
stateOrProvince: string
Specifies the state or province in the BRM address.
-
street: string
Specifies the BRM street address.
Match All
Specifies a bank account debit payment method. You can extend it to include any authorization fields that recurring payments require.
Show Source
-
object
allOf
PaymentMethod
Specifies the base model for the implemented cash, check, bank account debit, bank card, and tokenized card payment methods.
Nested Schema : BankCard
Type:
objectSpecifies a bank card payment method.
Show Source
-
@baseType: string
Allowed Values:
[ "PaymentMethod" ] -
@type: string
Allowed Values:
[ "bankCard" ] -
bank: string
Specifies the bank that issued the card.
-
brand(required): string
Specifies the card's brand.
-
cardNumber(required): string
Specifies the bank card's number.
-
cardType: string
Specifies the card's type, such as credit or debit.
-
city: string
Specifies the city in the BRM address.
-
country: string
Specifies the country in the BRM address.
-
cvv: string
Specifies the card's security code, such as CVV or CVV2.
-
expirationDate(required): string
Specifies the bank card's expiration date.Example:
0325 -
lastFourDigits: string
Specifies the credit card's last four digits.
-
nameOnCard(required): string
Specifies the name on the card.
-
postCode: string
Specifies the postal code in the BRM address.
-
stateOrProvince: string
Specifies the state or province in the BRM address.
-
street: string
Specifies the BRM street address.
Match All
Specifies a bank card payment method.
Show Source
-
object
allOf
PaymentMethod
Specifies the base model for the implemented cash, check, bank account debit, bank card, and tokenized card payment methods.
Nested Schema : TokenizedCard
Type:
objectSpecifies a tokenized card payment method.
Show Source
-
@baseType: string
Allowed Values:
[ "PaymentMethod" ] -
@type: string
Allowed Values:
[ "tokenizedCard" ] -
brand(required): string
Specifies the card's brand for possible display purposes.
-
cardType: string
Specifies the card's type for possible display purposes.
-
city: string
Specifies the city in the BRM address.
-
country: string
Specifies the country in the BRM address.
-
countryOfIssue: string
Specifies the tokenized card's country of issue as an ISO 3166-1 alpha-2 country code, such as GB, NG, or FR.
-
expirationDate(required): string
Specifies the tokenized card's expiration date.Example:
0325 -
issuer: string
Specifies the entity that issued the token.
-
lastFourDigits(required): string
Specifies the credit card's last four digits.
-
postCode: string
Specifies the postal code in the BRM address.
-
stateOrProvince: string
Specifies the state or province in the BRM address.
-
street: string
Specifies the BRM street address.
-
token(required): string
Specifies the token as a series of randomly generated numbers.
-
tokenType(required): string
Specifies the token's type, such as emv.
Match All
Specifies a tokenized card payment method.
Show Source
-
object
allOf
PaymentMethod
Specifies the base model for the implemented cash, check, bank account debit, bank card, and tokenized card payment methods.
Nested Schema : PaymentMethod
Type:
objectSpecifies the base model for the implemented cash, check, bank account debit, bank card, and tokenized card payment methods.
Show Source
-
@baseType: string
Allowed Values:
[ "PaymentMethod" ]Specifies the base resource type for an out-of-the-box payment method. -
@type(required): string
Allowed Values:
[ "cash", "tokenizedCard", "bankAccountDebit", "bankCard", "check" ]Specifies the payment method's type, such as bank card, cash, or voucher. -
account: array
account
Refers to the payment method's linked accounts, which may be party accounts or financial accounts.
-
authorizationCode: string
Specifies the authorization code that a financial institution provides. For recurring payments that use this method, this field typically contains the code; individual payments have their own authorization codes.
-
description: string
Specifies a textual description of the payment method's contents.
-
isPreferred: boolean
Specifies whether the owner prefers this payment method. Queries for a specific customer's or account's payment methods typically use this value.
-
name(required): string
Specifies the payment method's friendly name.
- relatedParty: object Related Party
- relatedPlace: object RelatedPlace
-
status: string
Specifies the payment method's status.
-
statusDate: string
(date-time)
Specifies when the payment method's status last changed.
-
statusReason: string
Specifies the reason for the last status change.
-
validFor: object
TimePeriod
Represents a time period with a start date, an end date, or both.
Match All
Specifies the base model for the implemented cash, check, bank account debit, bank card, and tokenized card payment methods.
Show Source
-
object
allOf
Entity
Represents a base entity schema for TM Forum Open APIs.
Nested Schema : Entity
Type:
objectRepresents a base entity schema for TM Forum Open APIs.
Match All
Represents a base entity schema for TM Forum Open APIs.
Represents a base entity schema for TM Forum Open APIs.
Show Source
-
object
Extensible
Represents a base extensible schema for TM Forum Open APIs. The entity must include @type.
-
object
Addressable
Defines a base schema for addressable entities.
Nested Schema : Extensible
Type:
objectRepresents a base extensible schema for TM Forum Open APIs. The entity must include @type.
Show Source
-
@baseType: string
The superclass.
-
@schemaLocation: string
The URI of a JSON Schema file that defines additional attributes and relationships.
-
@type(required): string
The subclass Extensible name.
Nested Schema : Addressable
Type:
objectDefines a base schema for addressable entities.
Show Source
-
href: string
The hyperlink reference.
-
id: string
The ID.
400 Response
The request isn't valid.
Root Schema : Error
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Match All
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Show Source
-
object
Extensible
Represents a base extensible schema for TM Forum Open APIs. The entity must include @type.
-
object
Error-allOf[1]
Nested Schema : Extensible
Type:
objectRepresents a base extensible schema for TM Forum Open APIs. The entity must include @type.
Show Source
-
@baseType: string
The superclass.
-
@schemaLocation: string
The URI of a JSON Schema file that defines additional attributes and relationships.
-
@type(required): string
The subclass Extensible name.
Nested Schema : Error-allOf[1]
Type:
Show Source
object-
code(required): string
The application-specific error detail defined by the API or a common list.
-
message: string
Provides error details and corrective actions for a client user.
-
reason(required): string
Explains the error to a client user.
-
referenceError: string
The URI of documentation that describes the error.
-
status: string
The HTTP error code extension.
401 Response
The client doesn't have the correct privileges.
Root Schema : Error
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Match All
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Show Source
-
object
Extensible
Represents a base extensible schema for TM Forum Open APIs. The entity must include @type.
-
object
Error-allOf[1]
Nested Schema : Extensible
Type:
objectRepresents a base extensible schema for TM Forum Open APIs. The entity must include @type.
Show Source
-
@baseType: string
The superclass.
-
@schemaLocation: string
The URI of a JSON Schema file that defines additional attributes and relationships.
-
@type(required): string
The subclass Extensible name.
Nested Schema : Error-allOf[1]
Type:
Show Source
object-
code(required): string
The application-specific error detail defined by the API or a common list.
-
message: string
Provides error details and corrective actions for a client user.
-
reason(required): string
Explains the error to a client user.
-
referenceError: string
The URI of documentation that describes the error.
-
status: string
The HTTP error code extension.
403 Response
The request wasn't authorized.
Root Schema : Error
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Match All
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Show Source
-
object
Extensible
Represents a base extensible schema for TM Forum Open APIs. The entity must include @type.
-
object
Error-allOf[1]
Nested Schema : Extensible
Type:
objectRepresents a base extensible schema for TM Forum Open APIs. The entity must include @type.
Show Source
-
@baseType: string
The superclass.
-
@schemaLocation: string
The URI of a JSON Schema file that defines additional attributes and relationships.
-
@type(required): string
The subclass Extensible name.
Nested Schema : Error-allOf[1]
Type:
Show Source
object-
code(required): string
The application-specific error detail defined by the API or a common list.
-
message: string
Provides error details and corrective actions for a client user.
-
reason(required): string
Explains the error to a client user.
-
referenceError: string
The URI of documentation that describes the error.
-
status: string
The HTTP error code extension.
404 Response
The requested resource couldn't be found.
Root Schema : Error
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Match All
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Show Source
-
object
Extensible
Represents a base extensible schema for TM Forum Open APIs. The entity must include @type.
-
object
Error-allOf[1]
Nested Schema : Extensible
Type:
objectRepresents a base extensible schema for TM Forum Open APIs. The entity must include @type.
Show Source
-
@baseType: string
The superclass.
-
@schemaLocation: string
The URI of a JSON Schema file that defines additional attributes and relationships.
-
@type(required): string
The subclass Extensible name.
Nested Schema : Error-allOf[1]
Type:
Show Source
object-
code(required): string
The application-specific error detail defined by the API or a common list.
-
message: string
Provides error details and corrective actions for a client user.
-
reason(required): string
Explains the error to a client user.
-
referenceError: string
The URI of documentation that describes the error.
-
status: string
The HTTP error code extension.
405 Response
This method is not allowed.
Root Schema : Error
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Match All
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Show Source
-
object
Extensible
Represents a base extensible schema for TM Forum Open APIs. The entity must include @type.
-
object
Error-allOf[1]
Nested Schema : Extensible
Type:
objectRepresents a base extensible schema for TM Forum Open APIs. The entity must include @type.
Show Source
-
@baseType: string
The superclass.
-
@schemaLocation: string
The URI of a JSON Schema file that defines additional attributes and relationships.
-
@type(required): string
The subclass Extensible name.
Nested Schema : Error-allOf[1]
Type:
Show Source
object-
code(required): string
The application-specific error detail defined by the API or a common list.
-
message: string
Provides error details and corrective actions for a client user.
-
reason(required): string
Explains the error to a client user.
-
referenceError: string
The URI of documentation that describes the error.
-
status: string
The HTTP error code extension.
409 Response
The request could not be processed due to the conflict with the existing state of the resource.
Root Schema : Error
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Match All
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Show Source
-
object
Extensible
Represents a base extensible schema for TM Forum Open APIs. The entity must include @type.
-
object
Error-allOf[1]
Nested Schema : Extensible
Type:
objectRepresents a base extensible schema for TM Forum Open APIs. The entity must include @type.
Show Source
-
@baseType: string
The superclass.
-
@schemaLocation: string
The URI of a JSON Schema file that defines additional attributes and relationships.
-
@type(required): string
The subclass Extensible name.
Nested Schema : Error-allOf[1]
Type:
Show Source
object-
code(required): string
The application-specific error detail defined by the API or a common list.
-
message: string
Provides error details and corrective actions for a client user.
-
reason(required): string
Explains the error to a client user.
-
referenceError: string
The URI of documentation that describes the error.
-
status: string
The HTTP error code extension.
500 Response
The system encountered an internal error.
Root Schema : Error
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Match All
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Show Source
-
object
Extensible
Represents a base extensible schema for TM Forum Open APIs. The entity must include @type.
-
object
Error-allOf[1]
Nested Schema : Extensible
Type:
objectRepresents a base extensible schema for TM Forum Open APIs. The entity must include @type.
Show Source
-
@baseType: string
The superclass.
-
@schemaLocation: string
The URI of a JSON Schema file that defines additional attributes and relationships.
-
@type(required): string
The subclass Extensible name.
Nested Schema : Error-allOf[1]
Type:
Show Source
object-
code(required): string
The application-specific error detail defined by the API or a common list.
-
message: string
Provides error details and corrective actions for a client user.
-
reason(required): string
Explains the error to a client user.
-
referenceError: string
The URI of documentation that describes the error.
-
status: string
The HTTP error code extension.
Examples
The following example shows how to retrieve a payment method by ID by submitting a GET request on the REST resource using cURL. For more information, see Use cURL.
Example: Retrieve a cash payment method by ID.
curl -X GET 'http://host:port/brm/paymentMethods/version/paymentMethod/0.0.0.1%2B-payinfo-cash%2B197605'
where:
- host is the URL for the REST server.
- port is the port for the REST server.
- version is the version of the API you're using, such as v1. For Payment Method API, v1 and v4 are supported. In BRM 16.26, v4 support is limited to payment methods with the following @type values: bankCard, cash, check, bankAccountDebit, and tokenizedCard.
Example of Response Body
The following example shows the contents of the response body.
{
"@type": "cash",
"id": "0.0.0.1+-payinfo-cash+197605",
"href": "http://host:port/brm/paymentMethods/v4/paymentMethod/0.0.0.1+-payinfo-cash+197605",
"name": "Main Cash Payment",
"isPreferred": false,
"effectiveDate": "2026-01-01T08:40:00.00Z",
"recieptNo": "IN-987789"
}